Subject: Re: CCL:clustering of a huge number of conformations

From: Peter Shenkin <[email-masked]>
Date: Sun, 9 May 1999 17:17:42 -0400 (EDT)

Hi,

Not all clustering methods require all pairwise similarities to be
computed, but many do.  One approach, if you have N conformations and
N is large, is to do full N^2 clustering for, say, SQRT(N) conformations,
selected randomly; then, for the rest, assign each conformation to 
the cluster whose centroid it is closest to.

This is good to get a feeling for the ensemble, statistically, but
perhaps it's not optimal to search for rare events.

When you say you got 260 clusters using an alternative method
rather thant the 236 you expected ("generated by the original algorithm"),
it's hard to know what you mean.  There's no rigorous definition of
a cluster;  or, better, there are lots of definitions, and in different
situations different definitions better correspond with what intuition
or some other algorithm picks out or defines as most reasonable.

You can see our WWW pages (under MacroModel) for info about our
XCluster program, which performs single-link clustering (a full N^2)
process) on molecular conformations and provides tools to help 
interpret the results.  We wouldn't be able to handle 60K confs,
though.

	-P.

On Tue, 4 May 1999, anstrom nanometer wrote:

> 
> Dear all,
> 
> I have a huge number of conformations to cluster (~60k). Since all
> clustering algorithm that I know need to calculate pair-wise distances
> between every two conformations, it will be an unsurmountable big space
> for my computer's memory (14.4G). I figured out an alternative way to
> implement it, but the clutering result was found not a optimal
> solution, i.e. for example, 260 clusters were generated by my way
> instead of the expected 236 clusters generated by the original
> algorithm.
> 
> I would appreciate receiving any of your knowledge on this subject.
> 
> Hongyu Zhang
> CARB, U. of Maryland
> 
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> 
> 
> 

--
********* Peter S. Shenkin; Schrodinger, Inc.; (201)433-2014 x111 *********
*********** [email-masked]; http://www.schrodinger.com ***********